import os
import shutil


def run(context):

    job_dir = context['job_dir']

    dirs_to_remove = [
        'all_transcriptions',
        'font',
        'gsm',
        'lm',
    ]

    for dir_to_remove in dirs_to_remove:

        dir_path = job_dir + '/' + dir_to_remove

        if os.path.exists(dir_path):

            shutil.rmtree(dir_path)
