import os
import glob
import shutil
from subprocess import call
from dh_agent import settings


def run(context):

    jar_files = glob.glob(settings.OCULAR_UPDATE_ROOT + "/ocular*.jar")
    print("JAR FILES:")
    print(jar_files)

    if len(jar_files) == 1:
        if os.path.exists(settings.OCULAR_JAR):
            print("REMOVING...")
            os.remove(settings.OCULAR_JAR)
            print("MOVING...")
            shutil.move(jar_files[0], settings.OCULAR_JAR)
            print("FIXING FILE PERMS...")
            command = [
                'chmod',
                '774',
                settings.OCULAR_JAR
            ]

            call(command)