import os
import glob
from dh_corpus import *


def run(context):

    document = Document(context['connection'], id=context['job'].target_id, corpus_id=context['job'].corpus_id)
    pages = document.all_pages

    juxta_files = list(glob.glob(context['job_dir'] + '/*_JUXTA.txt'))

    for page in pages:
        for juxta_file in juxta_files:
            print(juxta_file)
            if os.path.basename(page.path).replace('.tif', '') in juxta_file:
                with open(juxta_file, 'r') as fin:
                    page.kvp['latest_juxta_score'] = fin.read().strip()
                    page.save()
                    print('saved')
                break
