import os
import glob
from dh_agent.tasks import replace_last_instance


def run(context):

    result_files = filter(os.path.isfile, glob.glob(context['job_dir'] + "/*.hocr"))
    for hocr in result_files:
        os.rename(hocr, replace_last_instance(hocr, ".hocr", ".xml"))
